Error
A valid request URL is required to generate request examples{
"success": true,
"data": [
{
"id": "<string>",
"status": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"userId": "<string>",
"title": "<string>",
"description": "<string>",
"image": "<string>",
"link": "<string>",
"jobId": "<string>",
"error": "<string>",
"completedAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
]
}Thumbnail generator
List thumbnails
Paginated list of all thumbnail generations for the authenticated user, including status and finished thumbnail images.
GET
/
thumbnails
Error
A valid request URL is required to generate request examples{
"success": true,
"data": [
{
"id": "<string>",
"status": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"userId": "<string>",
"title": "<string>",
"description": "<string>",
"image": "<string>",
"link": "<string>",
"jobId": "<string>",
"error": "<string>",
"completedAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
]
}Returns thumbnail jobs for the authenticated user, newest first.
GET /thumbnails
Response
{
"success": true,
"data": [
{
"id": "cm123abc",
"userId": "user_...",
"title": "How to grow on YouTube in 2026",
"description": null,
"image": "https://files.tryunsora.com/....jpg",
"link": null,
"jobId": "task_...",
"status": "COMPLETED",
"error": null,
"completedAt": "2026-06-02T12:01:00.000Z",
"createdAt": "2026-06-02T12:00:00.000Z",
"updatedAt": "2026-06-02T12:01:00.000Z"
}
]
}
Example
curl "https://mvp.tryunsora.com/api/v1/thumbnails" \
-H "Authorization: Bearer uns_YOUR_API_KEY"

